//
//  YHCertificateUploadVC.swift
//  galaxy
//
//  Created by edy on 2024/2/26.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHCertificateUploadVC: YHBaseViewController, YHFamilyMemberProtol {

    var tableView: UITableView!
    var familyMember:YHFamilyMember? {
        didSet {
            if let familyMember = familyMember {
                viewModel.mainModel = familyMember
            }
        }
    }
    var viewModel: YHFamilyMemberViewModel = YHFamilyMemberViewModel()

    override func viewDidLoad() {
        super.viewDidLoad()
        self.view.backgroundColor = .white
        createUI()
    }
    
    func loadInfo() {
        self.tableView.reloadData()
    }
    
    func nextStep()->Bool {
        return true
    }
    
    func createUI() {
        
        tableView = {
            let tableView = UITableView(frame:.zero, style:.plain)
            if #available(iOS 11.0, *) {
                tableView.contentInsetAdjustmentBehavior = .never
            }
            tableView.backgroundColor = .clear
            tableView.separatorStyle = .none
            tableView.delegate = self
            tableView.dataSource = self
            tableView.register(cellWithClass: YHIdentityCardCell.self)
            return tableView
        }()
        view.addSubview(tableView)
        tableView.snp.makeConstraints { make in
            make.top.equalTo(k_Height_NavigationtBarAndStatuBar + YHStepView.height)
            make.bottom.equalTo(-k_Height_safeAreaInsetsBottom() - 64)
            make.left.right.bottom.equalTo(view)
        }
    }
}

extension YHCertificateUploadVC: UITableViewDelegate, UITableViewDataSource {
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return viewModel.getIDCardDataSource(false).count
    }
 
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withClass: YHIdentityCardCell.self)
        cell.type = YHCardType(rawValue: indexPath.row) ?? .identity
        cell.viewModel = viewModel
        cell.informationBlock = {[weak self] type, image, isLeft in
            guard let self = self else { return }
            
        }
        return cell
    }
    
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        return 217.0
    }
}

